function weapons_misc.init()

 function weapons_misc.change(worm)

  worm:data().cyclone = nil
  worm:data().cyclone_barrel = nil
  worm:data().cyclone_speed = nil
  worm:data().lrm = nil
  worm:data().rubyblitz_power = nil
  worm:data().rubyblitz_loop = nil
  worm:data().powermaul = nil
  worm:data().powermaul_x = nil
  worm:data().powermaul_y = nil
  worm:data().powermaul_d = nil
 end

end
